<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- Mobile Responsive meta tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<title>Bootstrap Introduction and Simple Styles</title>

</head>
<body class="text-center">

	<!-- Start of Nav Bar -->
	
	<div class="bg-primary text-light fixed-top p-1">
		Fixed Top Navbar
	</div>

	<!-- End of Nav Bar -->

	<!-- Start of Header -->

	<!-- 
		1. - .25rem
		2. - .5rem
		3. - 1rem
		4. - 1.5rem
		5. - 3rem

		m - margin   padding & margin ni bootstrap hanggang 1-5rem lang, kung more than sa external css na
		p - padding
		( add "t", "b", "l", "r" for the direction)
		mx - margin left and right
		my - margin top and bottom
		w - width, h-height
	 -->
	<div class="text-center mt-5">  <!-- margin top -->
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>

	</div>
	<!-- End of Header -->


	<!-- Bootstrap Utility Classes -->

	<div class="container-fluid mt-5 mb-5">

		<!-- Start of Bootstrap Color Classes Table -->
		
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">

			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
				
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">
							Primary Link
						</a>
					</td>
					<td class="bg-primary text-white">
						Primary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">
							Secondary Link
						</a>
					</td>
					<td class="bg-secondary text-white">
						Secondary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">
							Success Link
						</a>
					</td>
					<td class="bg-success text-white">
						Sucess
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-danger">
							Danger Link
						</a>
					</td>
					<td class="bg-danger text-white">
						Danger
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-warning">
							Warning Link
						</a>
					</td>
					<td class="bg-warning text-dark">
						Warning
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-info">
							Info Link
						</a>
					</td>
					<td class="bg-info text-white">
						Info
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">
							Light Link
						</a>
					</td>
					<td class="bg-light text-dark">
						Light
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-white">
							Dark Link
						</a>
					</td>
					<td class="bg-dark text-white">
						Dark
					</td>
				</tr>
			</tbody>	

		</table>

		<!-- End of Bootstrap Color Classes Table -->
		
		<!-- Start of Bootstrap Text Alignment Classes Table -->

		<h2>Bootstrap Text Alignment Classes</h2>

		<table class="table table-dark text-light table-bordered">

			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>

			<tbody>

				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>

				<tr>
					<!-- For extra small screen or small screen/ mobile phones, we can avoid using breakpoint -->
					<!-- All mobile views in Google Chrome Browser are considered small screen sizes -->
					<!-- Screen size is greater than or equal to 576px -->
					<!-- larger mobile phones -->
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<!-- Screen size greater than or equal to 786px -->
					<!-- Tablets -->
					<td class="text-right text-md-left">Medium Left</td>
				</tr>
				<tr>
					<!-- Screen size is greater than or equal to 992px -->
					<!-- Desktop -->
					<td class="text-lg-right">Large Right</td>
				</tr>
				<tr>
					<!-- Screen size is greater than or equal to 1200px -->
					<!-- TV and other large screens -->
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>

		</table>

		<!-- End of Bootstrap Text Alignment Classes Table -->


		<!-- Start of Bootstrap Other Text Classes for Table -->

		<table class="table table-dark text-light table-bordered">
			
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>	
			</thead>

			<tbody>
				<tr>
					<td class="text-lowercase font-weight-bold">
						LOWERCASED BOLD TEXT
					</td>
				</tr>
				<tr>
					<td class="text-uppercase font-weight-normal">
						uppercased normal text
					</td>
				</tr>
				<tr>
					<td class="text-capitalize font-weight-light">
						capitalize light text
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-decoration-none font-italic">
							Non-underlined Italic Link
						</a>
					</td>
				</tr>
			</tbody>

		</table>

		<!-- End of Bootstrap Other Text Classes for Table -->


		<!-- Start of Bootstrap Border and Sizing Classes Table -->
		
		<h2>Bootstrap Border and Sizing Classes Table</h2>

		<table class="table table-dark taxt-light table-bordered">
			
			<thead>
				<tr>
					<th>Border</th>
				</tr>	
			</thead>

			<tbody>
				<tr>
					<td>
						<div class="bg-info border border-primary rounded w-100"> /*bootstrap with 100%,75%,50%, 25% */
							Rounded
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-50">
							Rounded Circle
						</div>
					</td>
				</tr>	
				<tr>
					<td>
						<div class="bg-warning border border-danger rounded-pill w-75">
							Rounded Pill
						</div>
					</td>
				</tr>				
			</tbody>

		</table>

		<!-- End of Bootstrap Border and Sizing Classes Table -->


	</div>

	<!-- End of the Bootstrap Utility Classes -->


	<!-- Start of Footer -->
	<div class="bg-primary text-light fixed-bottom p-1"> 
		Fixed Bottom Footer
	</div>
	<!-- Start of Footer -->


	<!-- Start of JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	<!-- End of JS Dependencies -->

</body>
</html>